#pragma once
#include <boost/math/special_functions/expint.hpp>
#define FUNC(x) boost::math::lgamma(x)
#define FUNCNAME "log|gamma(x)|"
#define MIN_ARG 0.1
#define MAX_ARG 25

// Boost's special functions work with their automatic differentiation library :)
template <typename T>
T MyFunction(T x){
  return FUNC(x);
}
